=== debian/changelog ===
mercurial (5.5.2-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:40:55 +0100

mercurial (5.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Cristau ]
  * New upstream bugfix release

 -- Julien Cristau <jcristau@debian.org>  Wed, 14 Oct 2020 14:45:55 +0200
