=== debian/changelog ===
mercurial (5.6.1-4+rpi1+deb11u1) bullseye-staging; urgency=medium

  [changes brought forward from 5.5.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 13 Dec 2020 10:30:51 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 02 Apr 2025 07:36:59 +0000

mercurial (5.6.1-4+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Security Team.

  [ Andreas Henriksson ]
  * Cherry-pick and massage bookworm (stable) patches by jcristau to apply
    on bullseye version of the package.

  [ Julien Cristau ]
  * CVE-2025-2361: reflected XSS in hgweb (closes: #1100899)
  * patchbomb: don't test ambiguous address
    (fixes FTBFS after python's fix for CVE-2023-27043).

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 27 Mar 2025 19:23:02 +0100

mercurial (5.6.1-4) unstable; urgency=medium

  * Revert -mno-lra workaround on mips64el, #871514 was fixed. Fixes
    occasional FTBFS on mips64el.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 May 2021 08:37:06 -0400

mercurial (5.6.1-3) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Annotate test dependencies <!nocheck> (closes: #980337).

  [ Stefano Rivera ]
  * python-3.9.2.patch: Use "&" instead of ";" as query string separator
    in test-archive.t to fix FTBFS with Python 3.9.2, which changed its
    urllib.parse.parse_qsl() behavior to only accept "&" as a separator by
    default. (closes: #986514)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 May 2021 12:06:47 -0400

mercurial (5.6.1-2) unstable; urgency=medium

  * tests: make test-subrepo-git.t compatible with git's master->main
    rename (closes: #980576).

 -- Julien Cristau <jcristau@debian.org>  Mon, 01 Feb 2021 17:47:09 +0100

mercurial (5.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Uploaders: remove vicho and vdanjean, add jcristau.  With
    thanks for their past contributions!

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Jan 2021 17:16:53 +0100
