=== debian/control ===
--- 
+++ 
@@ -3,22 +3,21 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Vincent Danjean <vdanjean@debian.org>,
- Javi Merino <vicho@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>,
+ Julien Cristau <jcristau@debian.org>,
 Build-Depends:
  bash-completion,
  debhelper-compat (= 13),
  dh-python,
  gettext,
- netbase,
- patchutils (>= 0.2.25),
+ netbase <!nocheck>,
+ patchutils (>= 0.2.25) <!nocheck>,
  python3-all-dev,
  python3-docutils,
  python3-roman,
- rename,
- unzip,
- zip,
+ rename <!nocheck>,
+ unzip <!nocheck>,
+ zip <!nocheck>,
  less <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://www.mercurial-scm.org/
